PETSc version 3.17.4
Fix/Edit manual page

# MatIsShell

Inquires if a matrix is derived from MATSHELL

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsShell(Mat mat, PetscBool *flg)

### Input Parameter

| mat | - the matrix

### Output Parameter

| flg | - the boolean value

Notes: in the future, we should allow the object type name to be changed still using the MatShell data structure for other matrices (i.e. MATTRANSPOSEMAT, MATSCHURCOMPLEMENT etc)

### See Also

MatCreateShell()

### Level

developer

### Location

src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages